=== examples/uitools/CMakeLists.txt ===
qt_internal_add_example(multipleinheritance)
qt_internal_add_example(textfinder)
