=== tests/manual/CMakeLists.txt ===
# Generated from manual.pro.

add_subdirectory(qtattributionsscanner)
