## qt6-tools 6.6.2

=== debian/changelog ===
qt6-tools (6.6.2-4) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 504a48cb51a20c6fd7766266dc9f6c1c670f435a to prevent
    the global promotion of libzstd cmake target; patch
    upstream_CMake-FindWrapLibClang-Prevent-global-promotion-of-l.patch.
  * Backport upstream commit f57d15654b107f70c0ee853b82488ee0c329c3ba to not
    propagate zstd cmake targets to global; patch
    upstream_Ensure-that-FindWrapLibClang-doesn-t-propagate-zstd.patch.
  * Backport upstream commit 604bb3bf2c8e5e26dab678fdf9c730625aa24977 to prevent
    more zstd cmake targets from being promoted as global; patch
    upstream_Add-the-missing-global-promotion-exclution-checks-fo.patch.
  * Look for libzstd before Clang, working around the broken Findzstd cmake find
    module shipped in LLVM 16+; patch cmake-find-zstd-before-clang.diff.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 18 Jul 2024 04:58:31 +0200

qt6-tools (6.6.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to llvm-17 so the package can migrate to testing.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:43:02 +0200

qt6-tools (6.6.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rebuild against libqt6core6t64.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 May 2024 09:50:04 +0200

qt6-tools (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update ABI to 6.6.2 and rename it to qt6-*-private-abi.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Feb 2024 21:08:54 +0100

qt6-tools (6.6.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Force build with llvm-toolchain-17.

 -- Patrick Franz <deltaone@debian.org>  Wed, 24 Jan 2024 22:09:32 +0100

qt6-tools (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add binary package designer-qt6-plugins (Closes: #1057299).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 19:07:13 +0100

qt6-tools (6.4.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Force build with llvm-toolchain-18 (Closes: 1061205).

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 01:02:01 +0200
