## qt6-tools 6.7.2

=== src/linguist/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# Generated from linguist.pro.
-
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
 
 qt_exclude_tool_directories_from_default_target(
     linguist
@@ -18,7 +18,9 @@
     add_subdirectory(linguist)
 endif()
 
-# special case begin
 # Create a fake module that would emulate the Qt5::LinguistTools CMake Config package
-qt_internal_add_module(Linguist NO_MODULE_HEADERS HEADER_MODULE)
-# special case end
+qt_internal_add_module(Linguist
+    HEADER_MODULE
+    NO_MODULE_HEADERS
+    NO_PRIVATE_MODULE
+)
