=== debian/changelog ===
qt6-tools (6.7.2-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 14 Nov 2024 19:22:20 +0100

qt6-tools (6.7.2-5) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Add symbolic links in /usr/bin for user-facing tools.

  [ Pino Toscano ]
  * Split qdoc into a separate package (qdoc-qt6), build it only on
    architectures where LLVM/clang is available; this way the rest of qt6-tools
    can be built on every architecture:
    - limit the clang-18, libclang-18-dev, llvm, and llvm-18-dev build
      dependencies only on some architectures
    - split qdoc-qt6 out of qt6-documentation-tools, with proper
      breaks/replaces
    - the architectures on which qdoc-qt6 is enabled are the ones on which both
      LLVM 18 and LLVM 19 currently build, i.e.: amd64 arm64 armel armhf i386
      loong64 mips64el ppc64el riscv64 s390x sparc64 (others can be added later
      as needed)

 -- Pino Toscano <pino@debian.org>  Wed, 13 Nov 2024 20:02:21 +0100

qt6-tools (6.7.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:07:57 +0200

qt6-tools (6.7.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:02:27 +0200

qt6-tools (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Switch to llvm-18 to fix build failures on arm.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Sep 2024 12:03:54 +0200

qt6-tools (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Remove patches that have been applied upstream.
  * Bump Qt B-Ds to 6.7.2.
  * Do not the system litehtml as it fails to build.
  * Update list of installed files.
  * Update ABI to 6.7.2.
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Aug 2024 23:24:03 +0200
